Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatMessageCalendar

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.MessageCalendar>
it.tdlight.jni.TdApi.GetChatMessageCalendar

Enclosing class:
  TdApi

public static final class TdApi.GetChatMessageCalendar extends TdApi.Function<TdApi.MessageCalendar>
Returns information about the next messages of the specified type in the chat splitted by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

Returns `MessageCalendar`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat in which to return information about messages.
`static final int`
`CONSTRUCTOR`
`TdApi.SearchMessagesFilter`
`filter`
Filter for message content.
`long`
`fromMessageId`
The message identifier from which to return information about messages; use 0 to get results from the last message.

## Constructor Summary

Constructors
Constructor
Description
`GetChatMessageCalendar()`
Returns information about the next messages of the specified type in the chat splitted by days.
`GetChatMessageCalendar(long chatId, TdApi.SearchMessagesFilter filter, long fromMessageId)`
Returns information about the next messages of the specified type in the chat splitted by days.
`GetChatMessageCalendar(DataInput input)`
Returns information about the next messages of the specified type in the chat splitted by days.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat in which to return information about messages.

### filter

public TdApi.SearchMessagesFilter filter
Filter for message content. Filters searchMessagesFilterEmpty, searchMessagesFilterCall, searchMessagesFilterMissedCall, searchMessagesFilterMention and searchMessagesFilterUnreadMention are unsupported in this function.

### fromMessageId

public long fromMessageId
The message identifier from which to return information about messages; use 0 to get results from the last message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetChatMessageCalendar

public GetChatMessageCalendar()
Returns information about the next messages of the specified type in the chat splitted by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

Returns `MessageCalendar`

### GetChatMessageCalendar

public GetChatMessageCalendar(long chatId, TdApi.SearchMessagesFilter filter, long fromMessageId)
Returns information about the next messages of the specified type in the chat splitted by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

Returns `MessageCalendar`

Parameters:
  `chatId` - long Identifier of the chat in which to return information about messages.
  `filter` - SearchMessagesFilter Filter for message content. Filters searchMessagesFilterEmpty, searchMessagesFilterCall, searchMessagesFilterMissedCall, searchMessagesFilterMention and searchMessagesFilterUnreadMention are unsupported in this function.
  `fromMessageId` - long The message identifier from which to return information about messages; use 0 to get results from the last message.

### GetChatMessageCalendar

public GetChatMessageCalendar(DataInput input) throws IOException
Returns information about the next messages of the specified type in the chat splitted by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

Returns `MessageCalendar`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`